1.1
1.1
get /v1/archiving-histories/detail
Description
Show an archiving history
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | id required | Archiving History ID Example : EXE-8f35b491-a060-453b-b825-e78440ca46de | string | None |
| query | bucket_id required | Bucket ID Example : 3d036efe-f576-48b0-8375-6d3704a95b63 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ArchivingHistoryShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/archiving-histories/detail?id={id}&bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
"state": "SUCCESS",
"archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
"archiving_infos": [
{
"source_object_path": "example_source_object_path/",
"usage": "1024",
"total_object_count": 100,
"archiving_object_count": 50,
"archiving_rate": 100
}
]
}